## proc defineunits

Welcome Gallery Handbook

Manual page for proc_defineunits(PL)

## DESCRIPTION

proc defineunits may be used to explicitly set a certain type of scaling unit (such as date or time) for an axis.`` Usually proc areadef takes care of this; however proc defineunits may be needed in situations where proc tabulate or proc autoscale are to be invoked before proc areadef, or to change scaling without setting up a new area.``

## EXAMPLE

A Gallery example where this is used is quarters

## MANDATORY ATTRIBUTES

The `axis` and `units` attributes must be specified.``

## ATTRIBUTES

axis `x` | `y`

  The axis to which we are binding a type of scaling unit.``

units scaleunit

  The type of scaling to be used.`` For a list of available scale unit types see scaleunits
  Example: `units: yymm`
  data display engine
  Copyright Steve Grubb

Markup created by unroff 1.0, `` `` June 18, 2001.